org.eclnt.jsfserver.elements.componentnodes

## Class WEBSOCKETPOLLINGNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.WEBSOCKETPOLLINGNode

- All Implemented Interfaces:
    java.io.Serializable

      public class WEBSOCKETPOLLINGNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WEBSOCKETPOLLINGNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WEBSOCKETPOLLINGNode` | `bindActionListener(IActionListenerDelegation value)`
    `WEBSOCKETPOLLINGNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindClientname(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindComment(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindDuration(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindRendered(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindRestarttrigger(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `bindWebsocketurl(IDynamicContentBindingObject value)`
    `WEBSOCKETPOLLINGNode` | `setActionListener(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setAttributemacro(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setAvoidvalidations(boolean value)`
    `WEBSOCKETPOLLINGNode` | `setAvoidvalidations(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setClientname(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setComment(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setConfiginfo(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setDuration(int value)`
    `WEBSOCKETPOLLINGNode` | `setDuration(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setId(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setReference(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setRendered(boolean value)`
    `WEBSOCKETPOLLINGNode` | `setRendered(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setRestarttrigger(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setStatusbarneutral(boolean value)`
    `WEBSOCKETPOLLINGNode` | `setStatusbarneutral(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setStylevariant(java.lang.String value)`
    `WEBSOCKETPOLLINGNode` | `setWebsocketurl(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WEBSOCKETPOLLINGNode

          public WEBSOCKETPOLLINGNode()

  - ### Method Detail

    - #### setId

          public WEBSOCKETPOLLINGNode setId(java.lang.String value)

    - #### setActionListener

          public WEBSOCKETPOLLINGNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public WEBSOCKETPOLLINGNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public WEBSOCKETPOLLINGNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public WEBSOCKETPOLLINGNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public WEBSOCKETPOLLINGNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public WEBSOCKETPOLLINGNode setAvoidvalidations(boolean value)

    - #### setClientname

          public WEBSOCKETPOLLINGNode setClientname(java.lang.String value)

    - #### bindClientname

          public WEBSOCKETPOLLINGNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public WEBSOCKETPOLLINGNode setComment(java.lang.String value)

    - #### bindComment

          public WEBSOCKETPOLLINGNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public WEBSOCKETPOLLINGNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public WEBSOCKETPOLLINGNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public WEBSOCKETPOLLINGNode setDuration(java.lang.String value)

    - #### bindDuration

          public WEBSOCKETPOLLINGNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public WEBSOCKETPOLLINGNode setDuration(int value)

    - #### setReference

          public WEBSOCKETPOLLINGNode setReference(java.lang.String value)

    - #### setRendered

          public WEBSOCKETPOLLINGNode setRendered(java.lang.String value)

    - #### bindRendered

          public WEBSOCKETPOLLINGNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public WEBSOCKETPOLLINGNode setRendered(boolean value)

    - #### setRestarttrigger

          public WEBSOCKETPOLLINGNode setRestarttrigger(java.lang.String value)

    - #### bindRestarttrigger

          public WEBSOCKETPOLLINGNode bindRestarttrigger(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public WEBSOCKETPOLLINGNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public WEBSOCKETPOLLINGNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public WEBSOCKETPOLLINGNode setStatusbarneutral(boolean value)

    - #### setStylevariant

          public WEBSOCKETPOLLINGNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public WEBSOCKETPOLLINGNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWebsocketurl

          public WEBSOCKETPOLLINGNode setWebsocketurl(java.lang.String value)

    - #### bindWebsocketurl

          public WEBSOCKETPOLLINGNode bindWebsocketurl(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.